## nvidia-settings 410.93

=== debian/changelog ===
nvidia-settings (410.93-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Revert to debhelper 10 compat to ease backports.
  
 -- Steven Pusser <stevep@mxlinux.org>  Mon, 18 Mar 2019 15:43:06 -0700

nvidia-settings (410.93-1) unstable; urgency=medium

  * New upstream release 410.93.
  * Remove reproducibility patches, applied upstream.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 11 Feb 2019 14:46:22 +0100

nvidia-settings (396.54-1) unstable; urgency=medium

  * New upstream release 396.54.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Feb 2019 17:54:57 +0100

nvidia-settings (396.45-1) experimental; urgency=medium

  * New upstream release 396.45.
  * New upstream release 396.18.
    - Updated the SLI Mosaic configuration page in nvidia-settings to make
      more layout configurations available, including configurations that
      do not utilize all of the available displays.
    - Added reporting of EGL information to nvidia-settings.
  * Build nvidia-settings on amd64 only.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 Jul 2018 23:31:47 +0200

nvidia-settings (390.87-2) unstable; urgency=medium

  * Drop versioned constraints that are satisfied in wheezy.
  * Switch to debhelper-compat (= 12).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Feb 2019 15:26:13 +0100

=== debian/control ===
Source: nvidia-settings
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Luca Boccassi <bluca@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-exec,
 m4,
 libgl1-mesa-dev | libgl-dev,
 libgtk2.0-dev,
 libgtk-3-dev,
 libjansson-dev,
 libvdpau-dev (>= 0.9),
 libxext-dev,
 libxv-dev,
 libxxf86vm-dev,
 pkg-config,
 xserver-xorg-dev,
Build-Conflicts:
 libxnvctrl-dev,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git

Package: nvidia-settings
Section: contrib/x11
Architecture: amd64
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 ${nvidia-alternative},
 libxnvctrl0 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 libgl1-nvidia${nvidia:Legacy}-glvnd-glx | libgl1-nvidia${nvidia:Legacy}-glx,
 nvidia${nvidia:Legacy}-vdpau-driver,
 libnvidia${nvidia:Legacy}-ml1,
Provides:
 nvidia-settings-gtk-${nvidia:Version},
Conflicts:
 nvidia-settings-gtk-${nvidia:Version},
Description: tool for configuring the NVIDIA graphics driver${nvidia:LegacyDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

Package: libxnvctrl0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Description: NV-CONTROL X extension (runtime library)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.
 .
 This package contains the shared library.

Package: libxnvctrl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libxnvctrl0 (= ${binary:Version}),
 ${misc:Depends}
Description: NV-CONTROL X extension (development files)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

PKG_CONFIG_XORG_XSERVER_LIBDIR	 = $(shell pkg-config --variable=libdir xorg-server)
CPPFLAGS		+= -DPKG_CONFIG_XORG_XSERVER_LIBDIR='\"$(PKG_CONFIG_XORG_XSERVER_LIBDIR)\"'

export PREFIX		 = /usr
export DO_STRIP		 =
export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
# reproducible builds: instead of _out/$(uname)_($uname -m) use a fixed directory
export OUTPUTDIR         = _out/debian

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG		 = 1
endif

export NV_USE_BUNDLED_LIBJANSSON = 0

include debian/rules.defs
NVIDIA_LEGACY		?=
NVIDIA_ALTERNATIVE	?= nvidia$(legacy)-alternative
NVIDIA_RELEASE		 = $(DEB_VERSION_UPSTREAM)
legacy			 = $(if $(NVIDIA_LEGACY),-legacy-$(NVIDIA_LEGACY)xx)
legacy_description	 = $(if $(NVIDIA_LEGACY), ($(NVIDIA_LEGACY)xx legacy version))
nvidia_private		 = nvidia$(if $(legacy),/$(patsubst -%,%,$(legacy)),/current)
watch_version		?= $(NVIDIA_LEGACY)

ALL_CONTROL	:= $(wildcard debian/nvidia-settings.*)
LEGACY_CONTROL	:= $(wildcard debian/nvidia-settings$(legacy).*)
RENAME_CONTROL	 = $(filter-out $(LEGACY_CONTROL),$(ALL_CONTROL))
RENAMED_CONTROL	 = $(patsubst debian/nvidia-settings.%,debian/nvidia-settings$(legacy).%,$(RENAME_CONTROL))
TEMPLATES	:= $(wildcard debian/*.in)
AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
AUTOGEN		+= debian/substvars
AUTOKEEP	 = debian/watch
AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))


%:
	dh $@

ifeq (,$(filter nvidia-settings,$(shell dh_listpackages)))
override_dh_auto_build: $(AUTOGEN)
	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build --sourcedirectory=src/libXNVCtrl

override_dh_auto_install:
else
override_dh_auto_build: $(AUTOGEN)
	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build -O--parallel
	$(MAKE) -C samples

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	install -m 0755 samples/$(OUTPUTDIR)/nv-control-dpy debian/tmp/usr/bin/
	install -m 0644 doc/nvidia-settings.png debian/tmp/nvidia-settings$(legacy).png

override_dh_strip:
	dh_strip -Nnvidia-settings
	dh_strip --remaining-packages --no-automatic-dbgsym

override_dh_dwz:
	dh_strip -Nnvidia-settings
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	$(RM) src/libXNVCtrl/libXNVCtrl.a
	$(RM) src/libXNVCtrl/libXNVCtrl.so*
	$(MAKE) -C samples clean
	$(RM) -r doc/_out samples/_out src/_out src/libXNVCtrl/_out
	$(RM) $(AUTOCLEAN)
	$(MAKE) -f debian/rules $(AUTOKEEP)

override_dh_gencontrol:
	set -ex; \
	if [ -f debian/nvidia-settings$(legacy).substvars ]; then \
		sed -ri -e 's/(^[^:]*:Depends=)/\1 GTK3 | GTK2, /' \
			-e 's/(GTK2)(.*)(libgtk2.0-0 \([^\)]*\))/\3\2/' \
			-e 's/(GTK3)(.*)(libgtk-3-0 \([^\)]*\))/\3\2/' \
			debian/nvidia-settings$(legacy).substvars ; \
		! grep GTK debian/nvidia-settings$(legacy).substvars ; \
	fi
	dh_gencontrol -- -V'nvidia:Legacy=$(legacy)' \
		-V'nvidia:LegacyDesc=$(legacy_description)' \
		-V'nvidia:Version=$(NVIDIA_RELEASE)' \
		-V'nvidia-alternative=$(NVIDIA_ALTERNATIVE)'

# used by dpkg-genchanges
debian/substvars:
	echo 'nvidia:LegacyDesc=$(legacy_description)' > $@


# Generating control files
debian/%:: debian/%.in debian/rules debian/rules.defs
	perl -p \
		-e 's{#LEGACY#}{$(legacy)}g;' \
		-e 's{#LEGACY_DESC#}{$(legacy_description)}g;' \
		-e 's{#PRIVATE#}{$(nvidia_private)}g;' \
		-e 's{#WATCH_VERSION#}{$(watch_version)}g;' \
		< $< > $@

# Renaming control files for legacy packaging
ifneq (,$(legacy))
nvidia-settings$(legacy).%: nvidia-settings.%
	cp -a $< $@
endif

## nvidia-settings 410.104

=== debian/changelog ===
nvidia-settings (410.104-2) unstable; urgency=medium

  * [i386 armhf]: Reinstate nvidia-settings as a transitional package
    depending on nvidia-settings-legacy-390xx.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 30 Mar 2019 09:38:32 +0100

nvidia-settings (410.104-1) unstable; urgency=medium

  * New upstream release 410.104.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Mar 2019 01:01:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: nvidia-settings
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>,
  Luca Boccassi <bluca@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-exec,
  m4,
  libgl1-mesa-dev | libgl-dev,
@@ -31,21 +30,22 @@
 
 Package: nvidia-settings
 Section: contrib/x11
-Architecture: amd64
+Architecture: amd64 i386 armhf
 Pre-Depends:
  nvidia-installer-cleanup,
 Depends:
- ${nvidia-alternative},
- libxnvctrl0 (= ${binary:Version}),
+ nvidia-settings-legacy-390xx [!amd64],
+ ${nvidia-alternative} [amd64],
+ libxnvctrl0 (= ${binary:Version}) [amd64],
  ${shlibs:Depends}, ${misc:Depends}
 Recommends:
- libgl1-nvidia${nvidia:Legacy}-glvnd-glx | libgl1-nvidia${nvidia:Legacy}-glx,
- nvidia${nvidia:Legacy}-vdpau-driver,
- libnvidia${nvidia:Legacy}-ml1,
+ libgl1-nvidia${nvidia:Legacy}-glvnd-glx [amd64] | libgl1-nvidia${nvidia:Legacy}-glx [amd64],
+ nvidia${nvidia:Legacy}-vdpau-driver [amd64],
+ libnvidia${nvidia:Legacy}-ml1 [amd64],
 Provides:
- nvidia-settings-gtk-${nvidia:Version},
+ nvidia-settings-gtk-${nvidia:Version} [amd64],
 Conflicts:
- nvidia-settings-gtk-${nvidia:Version},
+ nvidia-settings-gtk-${nvidia:Version} [amd64],
 Description: tool for configuring the NVIDIA graphics driver${nvidia:LegacyDesc}
  The nvidia-settings utility is a tool for configuring the NVIDIA
  Linux graphics driver.  It operates by communicating with the NVIDIA

=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 %:
 	dh $@
 
-ifeq (,$(filter nvidia-settings,$(shell dh_listpackages)))
+ifneq (amd64,$(DEB_HOST_ARCH))
 override_dh_auto_build: $(AUTOGEN)
 	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build --sourcedirectory=src/libXNVCtrl

## nvidia-settings 418.56

=== debian/changelog ===
nvidia-settings (418.56-1~mx17+1) mx; urgency=medium

  * Rebuild for Stretch.
  * Revert to debhelper compat 10 to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 29 Apr 2019 13:23:19 -0700

nvidia-settings (418.56-1) unstable; urgency=medium

  * New upstream release 418.56.
    - Updated nvidia-settings to disable line wrapping when outputting to a
      non-terminal in command-line mode.
    - Updated the nvidia-settings control panel to more accurately reflect the
      current availability of G-SYNC or G-SYNC compatible display settings.
  * New upstream release 418.30.
    - Fixed a bug that could sometimes prevent PRIME displays from being
      selected in the display settings page of nvidia-settings.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 22 Apr 2019 16:26:56 +0200

nvidia-settings (415.27-1) unstable; urgency=medium

  * New upstream release 415.27.
  * New upstream release 415.13.
    - Improved the appearance and functionality of the nvidia-settings
      control panel when it is resized to small sizes.
    - Updated the nvidia-settings control panel to prevent some icons from
      being displayed incorrectly while using some GTK+ themes.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 20 Apr 2019 07:16:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: nvidia-settings
 Section: x11
 Priority: optional
-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>,
  Luca Boccassi <bluca@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 10~),
  dh-exec,
  m4,
  libgl1-mesa-dev | libgl-dev,

## nvidia-settings 418.74

=== debian/changelog ===
nvidia-settings (418.74-1.lnd.2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:48:13 +0800

nvidia-settings (418.74-1.lnd.1) unstable; urgency=medium

  * add loongarch64 little-endian support

 -- heyanbing <heyanbing@loongson.cn>  Mon, 7 Jun 2021 11:07:37 +0800

nvidia-settings (418.74-1) unstable; urgency=medium

  * New upstream release 418.74.
  * New upstream release 410 series.
    - Updated nvidia-settings to allow continued interaction with other
      pages and help content while editing application profiles.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 11 May 2019 14:06:45 +0200

## nvidia-settings 430.64

=== debian/changelog ===
nvidia-settings (430.64-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 21 Dec 2019 01:52:30 +0100

nvidia-settings (430.64-1) unstable; urgency=medium

  * New upstream release 430.64.
  * Build nvidia-settings for ppc64el.
  * Bump Standards-Version to 4.4.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Nov 2019 00:34:22 +0100

nvidia-settings (430.50-1) unstable; urgency=medium

  * New upstream release 430.50.
  * Refresh patches.
  * Adjust libXNVCtrl.so.0 build to upstream build system changes.
  * Bump Standards-Version to 4.4.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 25 Sep 2019 00:35:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: nvidia-settings
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>,
  Luca Boccassi <bluca@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-exec,
  m4,
  libgl1-mesa-dev | libgl-dev,
@@ -24,29 +23,35 @@
 Build-Conflicts:
  libxnvctrl-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git
 
 Package: nvidia-settings
 Section: contrib/x11
-Architecture: amd64 i386 armhf
+Architecture: amd64 ppc64el i386 armhf
 Pre-Depends:
  nvidia-installer-cleanup,
 Depends:
- nvidia-settings-legacy-390xx [!amd64],
- ${nvidia-alternative} [amd64],
- libxnvctrl0 (= ${binary:Version}) [amd64],
- ${shlibs:Depends}, ${misc:Depends}
+ nvidia-settings-legacy-390xx [!amd64 !ppc64el]
+ , ${nvidia-alternative} [amd64]
+ | nvidia-tesla-alternative [amd64 ppc64el]
+ , libxnvctrl0 (= ${binary:Version}) [amd64 ppc64el]
+ , ${shlibs:Depends}, ${misc:Depends}
 Recommends:
- libgl1-nvidia${nvidia:Legacy}-glvnd-glx [amd64] | libgl1-nvidia${nvidia:Legacy}-glx [amd64],
- nvidia${nvidia:Legacy}-vdpau-driver [amd64],
- libnvidia${nvidia:Legacy}-ml1 [amd64],
+ libgl1-nvidia${nvidia:Legacy}-glvnd-glx [amd64]
+ | libgl1-nvidia${nvidia:Legacy}-glx [amd64]
+ | libgl1-nvidia-tesla-glvnd-glx [amd64 ppc64el]
+ | libgl1-nvidia-tesla-glx [amd64 ppc64el]
+ , nvidia${nvidia:Legacy}-vdpau-driver [amd64]
+ | nvidia-tesla-vdpau-driver [amd64 ppc64el]
+ , libnvidia${nvidia:Legacy}-ml1 [amd64]
+ | libnvidia-tesla-ml1 [amd64 ppc64el]
 Provides:
- nvidia-settings-gtk-${nvidia:Version} [amd64],
+ nvidia-settings-gtk-${nvidia:Version} [amd64 ppc64el],
 Conflicts:
- nvidia-settings-gtk-${nvidia:Version} [amd64],
+ nvidia-settings-gtk-${nvidia:Version} [amd64 ppc64el],
 Description: tool for configuring the NVIDIA graphics driver${nvidia:LegacyDesc}
  The nvidia-settings utility is a tool for configuring the NVIDIA
  Linux graphics driver.  It operates by communicating with the NVIDIA

=== debian/rules ===
--- 
+++ 
@@ -48,13 +48,14 @@
 %:
 	dh $@
 
-ifneq (amd64,$(DEB_HOST_ARCH))
+ifeq (,$(filter amd64 ppc64el,$(DEB_HOST_ARCH)))
 override_dh_auto_build: $(AUTOGEN)
 	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build --sourcedirectory=src/libXNVCtrl
 
 override_dh_auto_install:
 else
 override_dh_auto_build: $(AUTOGEN)
+	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build --sourcedirectory=src/libXNVCtrl
 	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build -O--parallel
 	$(MAKE) -C samples
 
@@ -76,8 +77,6 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	$(RM) src/libXNVCtrl/libXNVCtrl.a
-	$(RM) src/libXNVCtrl/libXNVCtrl.so*
 	$(MAKE) -C samples clean
 	$(RM) -r doc/_out samples/_out src/_out src/libXNVCtrl/_out
 	$(RM) $(AUTOCLEAN)

## nvidia-settings 435.21

=== debian/changelog ===
nvidia-settings (435.21-0.1~mx17+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 27 Sep 2019 14:06:07 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nvidia-settings
 Section: x11
 Priority: optional
-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>,
@@ -23,35 +24,29 @@
 Build-Conflicts:
  libxnvctrl-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.4.0
 Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git
 
 Package: nvidia-settings
 Section: contrib/x11
-Architecture: amd64 ppc64el i386 armhf
+Architecture: amd64 i386 armhf
 Pre-Depends:
  nvidia-installer-cleanup,
 Depends:
- nvidia-settings-legacy-390xx [!amd64 !ppc64el]
- , ${nvidia-alternative} [amd64]
- | nvidia-tesla-alternative [amd64 ppc64el]
- , libxnvctrl0 (= ${binary:Version}) [amd64 ppc64el]
- , ${shlibs:Depends}, ${misc:Depends}
+ nvidia-settings-legacy-390xx [!amd64],
+ ${nvidia-alternative} [amd64],
+ libxnvctrl0 (= ${binary:Version}) [amd64],
+ ${shlibs:Depends}, ${misc:Depends}
 Recommends:
- libgl1-nvidia${nvidia:Legacy}-glvnd-glx [amd64]
- | libgl1-nvidia${nvidia:Legacy}-glx [amd64]
- | libgl1-nvidia-tesla-glvnd-glx [amd64 ppc64el]
- | libgl1-nvidia-tesla-glx [amd64 ppc64el]
- , nvidia${nvidia:Legacy}-vdpau-driver [amd64]
- | nvidia-tesla-vdpau-driver [amd64 ppc64el]
- , libnvidia${nvidia:Legacy}-ml1 [amd64]
- | libnvidia-tesla-ml1 [amd64 ppc64el]
+ libgl1-nvidia${nvidia:Legacy}-glvnd-glx [amd64] | libgl1-nvidia${nvidia:Legacy}-glx [amd64],
+ nvidia${nvidia:Legacy}-vdpau-driver [amd64],
+ libnvidia${nvidia:Legacy}-ml1 [amd64],
 Provides:
- nvidia-settings-gtk-${nvidia:Version} [amd64 ppc64el],
+ nvidia-settings-gtk-${nvidia:Version} [amd64],
 Conflicts:
- nvidia-settings-gtk-${nvidia:Version} [amd64 ppc64el],
+ nvidia-settings-gtk-${nvidia:Version} [amd64],
 Description: tool for configuring the NVIDIA graphics driver${nvidia:LegacyDesc}
  The nvidia-settings utility is a tool for configuring the NVIDIA
  Linux graphics driver.  It operates by communicating with the NVIDIA

=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 %:
 	dh $@
 
-ifeq (,$(filter amd64 ppc64el,$(DEB_HOST_ARCH)))
+ifneq (amd64,$(DEB_HOST_ARCH))
 override_dh_auto_build: $(AUTOGEN)
 	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build --sourcedirectory=src/libXNVCtrl

## nvidia-settings 440.36

=== debian/changelog ===
nvidia-settings (440.36-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 27 Nov 2019 14:57:21 -0800

nvidia-settings (435.21-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 27 Sep 2019 14:06:07 -0700

## nvidia-settings 440.44

=== debian/changelog ===
nvidia-settings (440.44-0ubuntu0.19.10.1) eoan; urgency=medium

  * New upstream release (LP: #1854485).
  * debian/patches/08_add_prime_support.patch:
    - Refresh and make on-demand mode optional.
      This makes the same patch work on systems where
      on-demand mode is not available yet.
  * debian/patches/05_add_polkit_support.patch,
    debian/patches/06_remove_local_prefix.patch,
    debian/patches/07_remove_features_for_legacy.patch,
    debian/patches/08_add_prime_support.patch,
    debian/patches/10_legacy_vdpau.patch,
    debian/patches/11_link_as-needed.patch,
    debian/patches/12_nostrip.patch,
    debian/patches/13_libxnvctrl_so_0.patch,
    debian/patches/15_clean.patch,
    debian/patches/16_gzip-n.patch,
    debian/patches/link-order.diff:
    - Refresh patches.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 29 Jan 2020 12:13:52 +0100

nvidia-settings (435.21-0ubuntu2) eoan; urgency=medium

  * debian/patches/08_add_prime_support.patch:
    - Recover dropped changes from 430.40-0ubuntu2.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 04 Sep 2019 12:11:24 +0200

nvidia-settings (435.21-0ubuntu1) eoan; urgency=medium

  * New upstream release:
    - Fixed the "Image Settings" options in the "OpenGL Settings"
      page of nvidia-settings for Quadro GPUs.  Previously, OpenGL
      rendering on Quadro would behave as if the "High Quality"
      option were selected regardless of the selection.  Now, the
      setting will default to "High Quality" for Quadro but selecting
      a lower option will affect rendering accordingly. (Other GPUs
      are unchanged: the default remains "Quality", but other options
      can be selected if desired.)
    - Fixed display color range handling on pre-Turing GPUs, such
      that when limited color range is selected through the display
      controls page in nvidia-settings, output pixel values will be
      correctly clamped to Consumer Technology Association (CTA)
      range.
  - debian/patches/08_add_prime_support.patch:
    - Refresh patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 04 Sep 2019 11:30:19 +0200

nvidia-settings (430.40-0ubuntu2) eoan; urgency=medium

  * debian/patches/08_add_prime_support.patch:
    - Recommend a system restart in the dialogs.
      This matches the changes in the nvidia-prime package.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 21 Aug 2019 20:35:46 +0200

nvidia-settings (430.40-0ubuntu1) eoan; urgency=medium

  * New upstream release.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 06 Aug 2019 10:13:49 +0200

nvidia-settings (430.34-0ubuntu1) eoan; urgency=medium

  * New upstream release.

  [ Alberto Milone ]
  * debian/patches/05_add_polkit_support.patch:
    - Refresh patch.

  [ Yuan-Chen Cheng ]
  * debian/patches/08_add_prime_support.patch:
    - Add on-demand mode. (LP: #1824282)

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 15 Jul 2019 18:04:09 +0200

nvidia-settings (430.26-0ubuntu1) eoan; urgency=medium

  * New upstream release.

  [ Rico Tzschichholz ]
  * Update 13_libxnvctrl_so_0.patch, and refresh the other patches.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 14 Jun 2019 13:01:49 +0200

nvidia-settings (418.56-0ubuntu2) eoan; urgency=medium

  * debian/patches/05_add_polkit_support.patch:
    - Use pkexec and call the new binary provided by
      screen-resolution-extra (LP: #1822937).
  * debian/control:
    - Depend on screen-resolution-extra (>= 0.18~).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 21 May 2019 15:20:46 +0200

nvidia-settings (418.56-0ubuntu1) disco; urgency=medium

  * New upstream release:
    - Updated nvidia-settings to disable line wrapping when
      outputting to a non-terminal in command-line mode.
      From GitHub pull request:
      https://github.com/NVIDIA/nvidia-settings/pull/37
    - Updated the nvidia-settings control panel to more accurately
      reflect the current availability of G-SYNC or G-SYNC
      compatible display settings.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 26 Mar 2019 17:00:03 +0100

nvidia-settings (418.43-0ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 13 Mar 2019 13:01:17 +0100

nvidia-settings (410.78-0ubuntu2) disco; urgency=medium

  * debian/control:
    - Add build dependencies on libegl1-mesa-dev | libegl-dev and on
      libdbus-1-dev.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 27 Nov 2018 17:37:18 +0100

nvidia-settings (410.78-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * debian/patches/series:
    - Drop 09_do_not_complain_if_nvidia_is_missing.patch
      This is now included in the main prime patch.
  * debian/patches/08_add_prime_support.patch:
    - Rebase against 410.78 sources. This restores the
      previous behaviour with hybrid graphics.
  * debian/libxnvctrl0.symbols:
    - Update symbols.
  * debian/patches/13_libxnvctrl_so_0.patch,
    debian/patches/15_clean.patch:
    - Refresh patches.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 23 Nov 2018 17:09:45 +0100

## nvidia-settings 440.59

=== debian/changelog ===
nvidia-settings (440.59-1) unstable; urgency=medium

  * New upstream release 440.59.
    - Added a default filename when saving the Display Configuration file
      in nvidia-settings if an existing configuration file is not detected.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Feb 2020 20:51:36 +0100

nvidia-settings (440.44-1) unstable; urgency=medium

  * New upstream release 440.44.
  * New upstream release 440.26.
    - Updated the confirmation dialog box that is displayed when quitting
      the nvidia-settings control panel to report when there are pending
      configuration changes which will be lost if they are not applied or
      saved before quitting.
  * Rename "legacy" variables to "variant" and add Tesla support.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Jan 2020 22:00:13 +0100

nvidia-settings (435.21-1) unstable; urgency=medium

  * New upstream release 435.21.
  * New upstream release 435.17.
    - Added support for changing Digital Vibrance in the display controls
      section of nvidia-settings on Turing hardware.
    - Fixed the "Image Settings" options in the "OpenGL Settings" page of
      nvidia-settings for Quadro GPUs.  Previously, OpenGL rendering on Quadro
      would behave as if the "High Quality" option were selected regardless of
      the selection.  Now, the setting will default to "High Quality" for
      Quadro but selecting a lower option will affect rendering accordingly.
      (Other GPUs are unchanged: the default remains "Quality", but other
      options can be selected if desired.)
  * Bump Standards-Version to 4.5.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 23 Jan 2020 23:33:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nvidia-settings
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>,
@@ -24,30 +23,36 @@
 Build-Conflicts:
  libxnvctrl-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git
 
 Package: nvidia-settings
 Section: contrib/x11
-Architecture: amd64 i386 armhf
+Architecture: amd64 ppc64el i386 armhf
 Pre-Depends:
  nvidia-installer-cleanup,
 Depends:
- nvidia-settings-legacy-390xx [!amd64],
- ${nvidia-alternative} [amd64],
- libxnvctrl0 (= ${binary:Version}) [amd64],
- ${shlibs:Depends}, ${misc:Depends}
+ nvidia-settings-legacy-390xx [!amd64 !ppc64el]
+ , ${nvidia}-alternative [amd64]
+ | nvidia-tesla-alternative [amd64 ppc64el]
+ , libxnvctrl0 (= ${binary:Version}) [amd64 ppc64el]
+ , ${shlibs:Depends}, ${misc:Depends}
 Recommends:
- libgl1-nvidia${nvidia:Legacy}-glvnd-glx [amd64] | libgl1-nvidia${nvidia:Legacy}-glx [amd64],
- nvidia${nvidia:Legacy}-vdpau-driver [amd64],
- libnvidia${nvidia:Legacy}-ml1 [amd64],
+ libgl1-${nvidia}-glvnd-glx [amd64]
+ | libgl1-${nvidia}-glx [amd64]
+ | libgl1-nvidia-tesla-glvnd-glx [amd64 ppc64el]
+ | libgl1-nvidia-tesla-glx [amd64 ppc64el]
+ , ${nvidia}-vdpau-driver [amd64]
+ | nvidia-tesla-vdpau-driver [amd64 ppc64el]
+ , lib${nvidia}-ml1 [amd64]
+ | libnvidia-tesla-ml1 [amd64 ppc64el]
 Provides:
- nvidia-settings-gtk-${nvidia:Version} [amd64],
+ nvidia-settings-gtk-${nvidia:Version} [amd64 ppc64el],
 Conflicts:
- nvidia-settings-gtk-${nvidia:Version} [amd64],
-Description: tool for configuring the NVIDIA graphics driver${nvidia:LegacyDesc}
+ nvidia-settings-gtk-${nvidia:Version} [amd64 ppc64el],
+Description: tool for configuring the NVIDIA graphics driver${nvidia:VariantDesc}
  The nvidia-settings utility is a tool for configuring the NVIDIA
  Linux graphics driver.  It operates by communicating with the NVIDIA
  X driver, querying and updating state as appropriate.  This

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

PKG_CONFIG_XORG_XSERVER_LIBDIR	 = $(shell pkg-config --variable=libdir xorg-server)
CPPFLAGS		+= -DPKG_CONFIG_XORG_XSERVER_LIBDIR='\"$(PKG_CONFIG_XORG_XSERVER_LIBDIR)\"'

export PREFIX		 = /usr
export DO_STRIP		 =
export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
# reproducible builds: instead of _out/$(uname)_($uname -m) use a fixed directory
export OUTPUTDIR	 = _out/debian

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG		 = 1
endif

export NV_USE_BUNDLED_LIBJANSSON = 0

include debian/rules.defs
NVIDIA_LEGACY		?=
NVIDIA_TESLA		?=
NVIDIA_RELEASE		 = $(DEB_VERSION_UPSTREAM)
variant			 = $(if $(NVIDIA_TESLA),tesla-$(NVIDIA_TESLA),$(if $(NVIDIA_LEGACY),legacy-$(NVIDIA_LEGACY)xx))
variant_description	 = $(if $(NVIDIA_TESLA), (Tesla $(NVIDIA_TESLA) version),$(if $(NVIDIA_LEGACY), ($(NVIDIA_LEGACY)xx legacy version)))
-variant		 = $(if $(variant),-$(variant))
nvidia			 = nvidia$(-variant)
nvidia_private		 = nvidia/$(if $(variant),$(variant),current)
watch_version		?= $(or $(NVIDIA_TESLA),$(NVIDIA_LEGACY))

ALL_CONTROL	:= $(wildcard debian/nvidia-settings.*)
VARIANT_CONTROL	:= $(wildcard debian/nvidia-settings$(-variant).*)
RENAME_CONTROL	 = $(filter-out $(VARIANT_CONTROL),$(ALL_CONTROL))
RENAMED_CONTROL	 = $(patsubst debian/nvidia-settings.%,debian/nvidia-settings$(-variant).%,$(RENAME_CONTROL))
TEMPLATES	:= $(wildcard debian/*.in)
AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
AUTOGEN		+= debian/substvars
AUTOKEEP	 = debian/watch
AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))


%:
	dh $@

ifeq (,$(filter amd64 ppc64el,$(DEB_HOST_ARCH)))
override_dh_auto_build: $(AUTOGEN)
	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build --sourcedirectory=src/libXNVCtrl

override_dh_auto_install:
else
override_dh_auto_build: $(AUTOGEN)
	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build --sourcedirectory=src/libXNVCtrl
	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build -O--parallel
	$(MAKE) -C samples

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	install -m 0755 samples/$(OUTPUTDIR)/nv-control-dpy debian/tmp/usr/bin/
	install -m 0644 doc/nvidia-settings.png debian/tmp/nvidia-settings$(-variant).png

override_dh_strip:
	dh_strip -Nnvidia-settings$(-variant)
	dh_strip --remaining-packages --no-automatic-dbgsym

override_dh_dwz:
	dh_strip -Nnvidia-settings$(-variant)
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C samples clean
	$(RM) -r doc/_out samples/_out src/_out src/libXNVCtrl/_out
	$(RM) $(AUTOCLEAN)
	$(MAKE) -f debian/rules $(AUTOKEEP)

override_dh_gencontrol:
	set -ex; \
	if [ -f debian/nvidia-settings$(-variant).substvars ]; then \
		sed -ri -e 's/(^[^:]*:Depends=)/\1 GTK3 | GTK2, /' \
			-e 's/(GTK2)(.*)(libgtk2.0-0 \([^\)]*\))/\3\2/' \
			-e 's/(GTK3)(.*)(libgtk-3-0 \([^\)]*\))/\3\2/' \
			debian/nvidia-settings$(-variant).substvars ; \
		! grep GTK debian/nvidia-settings$(-variant).substvars ; \
	fi
	dh_gencontrol -- \
		-V'nvidia=$(nvidia)' \
		-V'nvidia:VariantDesc=$(variant_description)' \
		-V'nvidia:Version=$(NVIDIA_RELEASE)'

# used by dpkg-genchanges
debian/substvars:
	echo 'nvidia:VariantDesc=$(variant_description)' > $@


# Generating control files
debian/%:: debian/%.in debian/rules debian/rules.defs
	perl -p \
		-e 's{#VARIANT#}{$(-variant)}g;' \
		-e 's{#VARIANT_DESC#}{$(variant_description)}g;' \
		-e 's{#PRIVATE#}{$(nvidia_private)}g;' \
		-e 's{#WATCH_VERSION#}{$(watch_version)}g;' \
		< $< > $@

# Renaming control files for variant packaging
ifneq (,$(variant))
nvidia-settings$(-variant).%: nvidia-settings.%
	cp -a $< $@
endif

## nvidia-settings 440.64

=== doc/Makefile ===
#
# nvidia-settings: A tool for configuring the NVIDIA X driver on Unix
# and Linux systems.
#
# Copyright (C) 2008-2012 NVIDIA Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses>.
#


##############################################################################
# include common variables and functions
##############################################################################

UTILS_MK_DIR ?= ..

include $(UTILS_MK_DIR)/utils.mk


##############################################################################
# The common-utils directory may be in one of two places: either
# elsewhere in the driver source tree when building nvidia-settings as
# part of the NVIDIA driver build (in which case, COMMON_UTILS_DIR
# should be defined by the calling makefile), or directly in the
# source directory when building from the nvidia-settings source
# tarball (in which case, the below conditional assignments should be
# used)
##############################################################################

COMMON_UTILS_DIR      ?= ../src/common-utils


##############################################################################
# assign variables
##############################################################################

MANPAGE_GZIP ?= 1

MANPAGE_gzipped         = $(OUTPUTDIR)/nvidia-settings.1.gz
MANPAGE_not_gzipped 	= $(OUTPUTDIR)/nvidia-settings.1
ifeq ($(MANPAGE_GZIP),1)
  MANPAGE               = $(MANPAGE_gzipped)
else
  MANPAGE               = $(MANPAGE_not_gzipped)
endif
GEN_MANPAGE_OPTS        = $(OUTPUTDIR_ABSOLUTE)/gen-manpage-opts
OPTIONS_1_INC           = $(OUTPUTDIR)/options.1.inc

common_cflags += -I $(COMMON_UTILS_DIR)
common_cflags += -I ../src/libXNVCtrlAttributes

CFLAGS += $(common_cflags)
HOST_CFLAGS += $(common_cflags)

##############################################################################
# build rules
##############################################################################

.PNONY: all install MANPAGE_install clean clobber

all: $(MANPAGE)

install: MANPAGE_install

MANPAGE_install: $(MANPAGE)
	$(MKDIR) $(MANDIR)
	$(INSTALL) $(INSTALL_DOC_ARGS) $< $(MANDIR)/$(notdir $<)

clean clobber:
	rm -rf $(MANPAGE) *~ $(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d \
		$(GEN_MANPAGE_OPTS) $(OPTIONS_1_INC)


##############################################################################
# Documentation
##############################################################################

AUTO_TEXT = ".\\\" WARNING: THIS FILE IS AUTO-GENERATED!  Edit $< instead."

doc: $(MANPAGE)

GEN_MANPAGE_OPTS_SRC  = ../src/gen-manpage-opts.c
GEN_MANPAGE_OPTS_SRC += $(COMMON_UTILS_DIR)/gen-manpage-opts-helper.c

GEN_MANPAGE_OPTS_OBJS = $(call BUILD_OBJECT_LIST,$(GEN_MANPAGE_OPTS_SRC))

$(foreach src, $(GEN_MANPAGE_OPTS_SRC), \
    $(eval $(call DEFINE_OBJECT_RULE,HOST,$(src))))

$(GEN_MANPAGE_OPTS): $(GEN_MANPAGE_OPTS_OBJS)
	$(call quiet_cmd,HOST_LINK) \
	    $(HOST_CFLAGS) $(HOST_LDFLAGS) $(HOST_BIN_LDFLAGS) $^ -o $@

$(OPTIONS_1_INC): $(GEN_MANPAGE_OPTS)
	@$< > $@

$(MANPAGE_not_gzipped): nvidia-settings.1.m4 $(OPTIONS_1_INC) $(VERSION_MK)
	$(call quiet_cmd,M4) \
	  -D__HEADER__=$(AUTO_TEXT) \
	  -D__BUILD_OS__=$(TARGET_OS) \
	  -D__VERSION__=$(NVIDIA_VERSION) \
	  -I $(OUTPUTDIR) \
	  $< > $@

$(MANPAGE_gzipped): $(MANPAGE_not_gzipped)
	$(GZIP_CMD) -9f < $< > $@

=== debian/changelog ===
nvidia-settings (440.64-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 06 Mar 2020 20:11:55 +0100

nvidia-settings (440.64-1) unstable; urgency=medium

  * New upstream release 440.64.
  * Do not build nvidia-settings for ppc64el, use nvidia-settings-tesla-418
    for the packaged Tesla driver.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 29 Feb 2020 23:17:44 +0100

=== debian/control ===
--- 
+++ 
@@ -30,28 +30,23 @@
 
 Package: nvidia-settings
 Section: contrib/x11
-Architecture: amd64 ppc64el i386 armhf
+Architecture: amd64 i386 armhf
 Pre-Depends:
  nvidia-installer-cleanup,
 Depends:
- nvidia-settings-legacy-390xx [!amd64 !ppc64el]
+ nvidia-settings-legacy-390xx [!amd64]
  , ${nvidia}-alternative [amd64]
- | nvidia-tesla-alternative [amd64 ppc64el]
- , libxnvctrl0 (= ${binary:Version}) [amd64 ppc64el]
+ , libxnvctrl0 (= ${binary:Version}) [amd64]
  , ${shlibs:Depends}, ${misc:Depends}
 Recommends:
  libgl1-${nvidia}-glvnd-glx [amd64]
  | libgl1-${nvidia}-glx [amd64]
- | libgl1-nvidia-tesla-glvnd-glx [amd64 ppc64el]
- | libgl1-nvidia-tesla-glx [amd64 ppc64el]
  , ${nvidia}-vdpau-driver [amd64]
- | nvidia-tesla-vdpau-driver [amd64 ppc64el]
  , lib${nvidia}-ml1 [amd64]
- | libnvidia-tesla-ml1 [amd64 ppc64el]
 Provides:
- nvidia-settings-gtk-${nvidia:Version} [amd64 ppc64el],
+ nvidia-settings-gtk-${nvidia:Version} [amd64],
 Conflicts:
- nvidia-settings-gtk-${nvidia:Version} [amd64 ppc64el],
+ nvidia-settings-gtk-${nvidia:Version} [amd64],
 Description: tool for configuring the NVIDIA graphics driver${nvidia:VariantDesc}
  The nvidia-settings utility is a tool for configuring the NVIDIA
  Linux graphics driver.  It operates by communicating with the NVIDIA

=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 %:
 	dh $@
 
-ifeq (,$(filter amd64 ppc64el,$(DEB_HOST_ARCH)))
+ifneq (amd64,$(DEB_HOST_ARCH))
 override_dh_auto_build: $(AUTOGEN)
 	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build --sourcedirectory=src/libXNVCtrl

## nvidia-settings 440.82

=== debian/changelog ===
nvidia-settings (440.82-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 19 Apr 2020 17:00:58 -0700

nvidia-settings (440.82-1) unstable; urgency=medium

  * New upstream release 440.82.
  * Remove workaround for ftp-master #824169 and generate
    nvidia-settings-dbgsym again.
  * Fix/override new Lintian issues.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 11 Apr 2020 23:39:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nvidia-settings
 Section: x11
 Priority: optional
-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>,

## nvidia-settings 440.100

=== debian/changelog ===
nvidia-settings (440.100-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 08 Jul 2020 12:46:42 -0700

nvidia-settings (440.100-1) unstable; urgency=medium

  * New upstream release 440.100.
    * Fixes FTBFS with gcc-10.  (Closes: #957618)
  * Refresh patches.
  * The bullseye toolchain defaults to linking with --as-needed.
  * Switch to debhelper-compat (= 13).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 01 Jul 2020 14:31:12 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
  Vincent Cheng <vcheng@debian.org>,
  Luca Boccassi <bluca@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
- dh-exec,
+ debhelper-compat (= 13),
  m4,
  libgl1-mesa-dev | libgl-dev,
  libgtk2.0-dev,

## nvidia-settings 450.57

=== debian/changelog ===
nvidia-settings (450.57-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 24 Aug 2020 11:04:51 -0700

nvidia-settings (450.57-1) unstable; urgency=medium

  * New upstream release 450.57.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Jul 2020 14:38:59 +0200

nvidia-settings (450.51-1) experimental; urgency=medium

  * New upstream beta 450.51.
  * Refresh patches.
  * [i386 armhf]: Remove transitional nvidia-settings package.
  * Build nvidia-settings for arm64.  (Closes: #790809)
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 01 Jul 2020 16:26:58 +0200

=== debian/control ===
Source: nvidia-settings
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Andreas Beckmann <anbe@debian.org>,
           Vincent Cheng <vcheng@debian.org>,
           Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper-compat (= 13),
               libgl1-mesa-dev | libgl-dev,
               libgtk-3-dev,
               libgtk2.0-dev,
               libjansson-dev,
               libvdpau-dev (>= 0.9),
               libxext-dev,
               libxv-dev,
               libxxf86vm-dev,
               m4,
               pkg-config,
               xserver-xorg-dev
Build-Conflicts: libxnvctrl-dev
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git

Package: nvidia-settings
Section: contrib/x11
Architecture: amd64 arm64
Pre-Depends: nvidia-installer-cleanup
Depends: libxnvctrl0 (= ${binary:Version}),
         ${misc:Depends},
         ${nvidia}-alternative,
         ${shlibs:Depends},
         lib${nvidia}-ml1,
            libgl1-${nvidia}-glvnd-glx,
            ${nvidia}-vdpau-driver
Provides: nvidia-settings-gtk-${nvidia:Version}
Conflicts: nvidia-settings-gtk-${nvidia:Version}
Description: tool for configuring the NVIDIA graphics driver${nvidia:VariantDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

Package: libxnvctrl0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: NV-CONTROL X extension (runtime library)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.
 .
 This package contains the shared library.

Package: libxnvctrl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libxnvctrl0 (= ${binary:Version}), ${misc:Depends}
Description: NV-CONTROL X extension (development files)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.

=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 %:
 	dh $@
 
-ifneq (amd64,$(DEB_HOST_ARCH))
+ifeq (,$(filter nvidia-settings,$(shell dh_listpackages)))
 override_dh_auto_build: $(AUTOGEN)
 	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build --sourcedirectory=src/libXNVCtrl
 
@@ -65,20 +65,9 @@
 	dh_auto_install --destdir=debian/tmp
 	install -m 0755 samples/$(OUTPUTDIR)/nv-control-dpy debian/tmp/usr/bin/
 	install -m 0644 doc/nvidia-settings.png debian/tmp/nvidia-settings$(-variant).png
-
-override_dh_strip:
-	dh_strip -Nnvidia-settings$(-variant)
-	dh_strip --remaining-packages --no-automatic-dbgsym
-
-override_dh_dwz:
-	dh_strip -Nnvidia-settings$(-variant)
 endif
 
-override_dh_missing:
-	dh_missing --fail-missing
-
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	$(MAKE) -C samples clean
 	$(RM) -r doc/_out samples/_out src/_out src/libXNVCtrl/_out
 	$(RM) $(AUTOCLEAN)
@@ -112,6 +101,9 @@
 		-e 's{#WATCH_VERSION#}{$(watch_version)}g;' \
 		< $< > $@
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 # Renaming control files for variant packaging
 ifneq (,$(variant))
 nvidia-settings$(-variant).%: nvidia-settings.%
